import { type MenuItemColumnCount } from '@ni/fast-foundation';
import { AnchorBase } from '../anchor-base';
declare global {
    interface HTMLElementTagNameMap {
        'nimble-anchor-menu-item': AnchorMenuItem;
    }
}
/**
 * A nimble-styled anchor menu-item
 */
export declare class AnchorMenuItem extends AnchorBase {
    disabled: boolean;
    /**
     * @internal
     */
    anchor: HTMLAnchorElement;
    /**
     * There is an assumption that this component is styled using a grid display, and this property
     * controls which grid column contains the menu item text (i.e. the indentation of the text).
     * The parent menu sets this value on all its child menu items so their indentations align.
     * @internal
     */
    startColumnCount: MenuItemColumnCount;
    /**
     * @internal
     */
    clickHandler(e: MouseEvent): boolean;
    /**
     * @internal
     */
    keydownHandler(e: KeyboardEvent): boolean;
    setAttribute(qualifiedName: string, value: string): void;
    get tabIndex(): number;
    set tabIndex(value: number);
}
export declare const anchorMenuItemTag = "nimble-anchor-menu-item";
